Bug 169828 - Up2date missing src rpm for java-1.4.2-ibm-
Up2date missing src rpm for java-1.4.2-ibm-
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: java-1.4.2-ibm (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Fitzsimmons
Depends On:
  Show dependency treegraph
Reported: 2005-10-04 04:45 EDT by Frantic Media
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-11-07 15:02:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Frantic Media 2005-10-04 04:45:47 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050716 Firefox/1.0.6

Description of problem:
Up2date offers java-1.4.2-ibm-, but when trying to install that, it gives this error:

There was a fatal error communicating with the server.  The message was:
File Not Found: java-1.4.2-ibm-

Error Message:
    Invalid RPM package java-1.4.2-ibm- requested
Error Class Code: 17
Error Class Info: File not found.
     An error has occurred while processing your request. If this problem
     persists please enter a bug report at bugzilla.redhat.com.
     If you choose to submit the bug report, please be sure to include
     details of what you were trying to do when this error occurred and
     details on how to reproduce this problem.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
With java-1.4.2-ibm- installed,
1. Run up2date
2. Check "[X] Red Hat Enterprise Linux ES (v. 3 for x86) Extras", press Forward.
3. Select package "java-1.4.2-ibm,, i386", from Channel rhel-i386-es-3-extras.
4. Press "Forward".

Actual Results:  Up2date fails to fetch the rpm file.

Expected Results:  Up2date should have fetched and installed the rpm.

Additional info:
Comment 1 Thomas Fitzsimmons 2005-11-07 15:02:45 EST
We don't make SDK SRPMs available on RHN because they don't actually contain the
SDK source code.  They only repackage the tarballs we get from IBM into the
JPackage format.  Closing as NOTABUG.
Comment 2 Frantic Media 2005-11-08 03:12:56 EST
Shouldn't it then be removed from the up2date's list of "Available Package
Updates" (step 3)? Up2date still offers this package for download, even though
it's not really available.

At the moment "[X] Select all packages" can't be used because that selects that
non-existing java-1.4.2-ibm package too.
Comment 3 Thomas Fitzsimmons 2005-11-08 10:06:38 EST
Yes, likely an RHN bug.  Can you file it separately under the up2date component?
Comment 4 Frantic Media 2005-11-08 11:41:43 EST
Ok. Filed as bug #172712:

Note You need to log in before you can comment on or make changes to this bug.